package com.ruoyi.project.sems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 特种设备检验记录对象 t_spec_check
 *
 * @author ruoyi
 * @date 2021-08-23
 */
public class TSpecCheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 状态 0 ：正常 ；-1：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 检验单位 */
    @Excel(name = "检验单位")
    private String checkUnit;

    /** 定期检验时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "定期检验时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date warnDate;

    /** 下次年检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次年检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextWarnDate;

    /** 报告编号 */
    @Excel(name = "报告编号")
    private String reportNo;

    /** 年度检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "年度检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date yearWarnDate;

    /** 年度检查结论 */
    @Excel(name = "年度检查结论")
    private String checkConclusion;

    /** 下次年度检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次年度检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date yearNextWarnDate;

    /** 年度检查报告编号 */
    @Excel(name = "年度检查报告编号")
    private String yearReportNo;

    /** 本次外部检验日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "本次外部检验日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date outWarnDate;

    /** 下次外部检验日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次外部检验日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date outNextWarnDate;

    /** 外部检验结论 */
    @Excel(name = "外部检验结论")
    private String outCheckConclusion;

    /** 外部检验编号 */
    @Excel(name = "外部检验编号")
    private String outReportNo;

    /** 设备id */
    @Excel(name = "设备id")
    private Long devId;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private Long devType;

    /** 安全等级 */
    @Excel(name = "安全等级")
    private String safeClass;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setCheckUnit(String checkUnit)
    {
        this.checkUnit = checkUnit;
    }

    public String getCheckUnit()
    {
        return checkUnit;
    }
    public void setWarnDate(Date warnDate)
    {
        this.warnDate = warnDate;
    }

    public Date getWarnDate()
    {
        return warnDate;
    }
    public void setNextWarnDate(Date nextWarnDate)
    {
        this.nextWarnDate = nextWarnDate;
    }

    public Date getNextWarnDate()
    {
        return nextWarnDate;
    }
    public void setReportNo(String reportNo)
    {
        this.reportNo = reportNo;
    }

    public String getReportNo()
    {
        return reportNo;
    }
    public void setYearWarnDate(Date yearWarnDate)
    {
        this.yearWarnDate = yearWarnDate;
    }

    public Date getYearWarnDate()
    {
        return yearWarnDate;
    }
    public void setCheckConclusion(String checkConclusion)
    {
        this.checkConclusion = checkConclusion;
    }

    public String getCheckConclusion()
    {
        return checkConclusion;
    }
    public void setYearNextWarnDate(Date yearNextWarnDate)
    {
        this.yearNextWarnDate = yearNextWarnDate;
    }

    public Date getYearNextWarnDate()
    {
        return yearNextWarnDate;
    }
    public void setYearReportNo(String yearReportNo)
    {
        this.yearReportNo = yearReportNo;
    }

    public String getYearReportNo()
    {
        return yearReportNo;
    }
    public void setOutWarnDate(Date outWarnDate)
    {
        this.outWarnDate = outWarnDate;
    }

    public Date getOutWarnDate()
    {
        return outWarnDate;
    }
    public void setOutNextWarnDate(Date outNextWarnDate)
    {
        this.outNextWarnDate = outNextWarnDate;
    }

    public Date getOutNextWarnDate()
    {
        return outNextWarnDate;
    }
    public void setOutCheckConclusion(String outCheckConclusion)
    {
        this.outCheckConclusion = outCheckConclusion;
    }

    public String getOutCheckConclusion()
    {
        return outCheckConclusion;
    }
    public void setOutReportNo(String outReportNo)
    {
        this.outReportNo = outReportNo;
    }

    public String getOutReportNo()
    {
        return outReportNo;
    }
    public void setDevId(Long devId)
    {
        this.devId = devId;
    }

    public Long getDevId()
    {
        return devId;
    }
    public void setDevType(Long devType)
    {
        this.devType = devType;
    }

    public Long getDevType()
    {
        return devType;
    }
    public void setSafeClass(String safeClass)
    {
        this.safeClass = safeClass;
    }

    public String getSafeClass()
    {
        return safeClass;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("checkUnit", getCheckUnit())
            .append("warnDate", getWarnDate())
            .append("nextWarnDate", getNextWarnDate())
            .append("reportNo", getReportNo())
            .append("yearWarnDate", getYearWarnDate())
            .append("checkConclusion", getCheckConclusion())
            .append("yearNextWarnDate", getYearNextWarnDate())
            .append("yearReportNo", getYearReportNo())
            .append("outWarnDate", getOutWarnDate())
            .append("outNextWarnDate", getOutNextWarnDate())
            .append("outCheckConclusion", getOutCheckConclusion())
            .append("outReportNo", getOutReportNo())
            .append("devId", getDevId())
            .append("devType", getDevType())
            .append("safeClass", getSafeClass())
            .toString();
    }
}
